Get schema
GET/nevisidm/api/scim/v1/Schemas/:id
Retrieves a single SCIM schema definition by its schema URI. The schema describes all attributes, their types, mutability, and other metadata for a particular SCIM resource type.
Request
Path Parameters
Schema's internal identifier.
Responses
- 200
- 400
Schema retrieved successfully
- application/json
- Schema
- Example (from schema)
- User schema
Schema
- Array [
- ]
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
The unique URI of the schema.
The schema's human-readable name.
The schema's human-readable description.
attributes ScimAttribute[]required
List of attributes of schema related resource.
The attribute's name.
Possible values: [string, boolean, decimal, integer, dateTime, reference, complex]
The attribute's data type.
When an attribute is of type "complex", this defines a set of sub-attributes.
A Boolean value indicating the attribute's plurality.
The attribute's human-readable description.
A Boolean value that specifies whether or not the attribute is required.
A collection of suggested canonical values that MAY be used.
A Boolean value that specifies whether or not a string attribute is case sensitive.
Possible values: [readOnly, readWrite, immutable, writeOnly]
A single keyword indicating the circumstances under which the value of the attribute can be defined.
Possible values: [always, never, default, request]
A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request.
Possible values: [none, server, global]
A single keyword value that specifies how the service provider enforces uniqueness of attribute values.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "SCIM provides a resource type for \"User\" resources.",
"attributes": 100
}
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Schema"],
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "SCIM provides a resource type for User resources.",
"attributes": [
{
"name": "userName",
"type": "string",
"multiValued": false,
"description": "Unique identifier for the User.",
"required": true,
"caseExact": false,
"mutability": "readWrite",
"returned": "default",
"uniqueness": "server"
},
{
"name": "name",
"type": "complex",
"multiValued": false,
"description": "The components of the user's name.",
"required": false,
"caseExact": false,
"mutability": "readWrite",
"returned": "default",
"uniqueness": "none",
"subAttributes": [
{
"name": "familyName",
"type": "string",
"multiValued": false,
"required": false,
"caseExact": false,
"mutability": "readWrite",
"returned": "default",
"uniqueness": "none"
}
]
}
]
}
Invalid meta request
- application/json
- Schema
- Example (from schema)
- Schema not found
Schema
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
status HttpStatusCoderequired
The HTTP status code.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
A SCIM detail error keyword.
A detailed human-readable message.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"status": 400,
"scimType": "invalidValue",
"detail": "The requested user '999' does not exist in IDM database."
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"status": "BAD_REQUEST",
"scimType": "invalidValue",
"detail": "No schema found for the given schema ID: urn:invalid:schema"
}